# Class CheckSwitchPhase

#### Hierarchy (view full)

- BattlePhase
  - CheckSwitchPhase

- Defined in src/phases.ts:1691

#####
Index

### Constructors

constructor

### Properties

fieldIndex
scene
useName

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new CheckSwitchPhase(scene, fieldIndex, useName): CheckSwitchPhase

- #### Parameters

  - scene: default
  - fieldIndex: number
  - useName: boolean

  #### Returns CheckSwitchPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:1695

## Properties

### `Protected` fieldIndex

fieldIndex: number

- Defined in src/phases.ts:1692

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

### `Protected` useName

useName: boolean

- Defined in src/phases.ts:1693

## Methods

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:1702